<!DOCTYPE html>
<html lang="uk">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Classwork Forms</title>
    <link rel="stylesheet" href="./Style/style.css">
</head>

<body>
    <header>
        <h1>Теоретична частина лекції по формам заповнення</h1>
    </header>
    <main>
        <h2>Аргументи input</h2>
        <table>
            <thead>
                <tr>
                    <th>Аргумент</th>
                    <th>Опис</th>
                    <th>Приклад використання</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>text</td>
                    <td>Використовується для введення даних</td>
                    <td><input type="text" placeholder="Ім'я"></td>
                </tr>
                <tr>
                    <td>password</td>
                    <td>Створення поля для введення пароля</td>
                    <td><input type="password" value="12345678"></td>
                </tr>
                <tr>
                    <td>color</td>
                    <td>Віджет для вибору кольору</td>
                    <td><input type="color"></td>
                </tr>
                <tr>
                    <td>date</td>
                    <td>Поле для вибору календарної дати</td>
                    <td><input type="date"></td>
                </tr>
                <tr>
                    <td>datetime</td>
                    <td>Зазначення дати та часу</td>
                    <td><input type="datetime"></td>
                </tr>
                <tr>
                    <td>datetime-local</td>
                    <td>Зазначення місцевої дати та часу</td>
                    <td><input type="datetime-local"></td>
                </tr>
                <tr>
                    <td>email</td>
                    <td>Поле для введення адреси електронної пошти</td>
                    <td><input type="email" placeholder="email@com.ua"></td>
                </tr>
                <tr>
                    <td>number</td>
                    <td>Ввод чисел</td>
                    <td><input type="number"></td>
                </tr>
                <tr>
                    <td>search</td>
                    <td>Поле для пошуку</td>
                    <td><input type="search" placeholder="Пошук"></td>
                </tr>
                <tr>
                    <td>tel</td>
                    <td>Поле для номеру телефону</td>
                    <td><input type="tel" placeholder="+38"></td>
                </tr>
                <tr>
                    <td>time</td>
                    <td>Поле для часу</td>
                    <td><input type="time"></td>
                </tr>
                <tr>
                    <td>url</td>
                    <td>Поле для веб-адреси</td>
                    <td><input type="url" placeholder="url.com.ua"></td>
                </tr>
                <tr>
                    <td>month</td>
                    <td>Вибір місяця</td>
                    <td><input type="month"></td>
                </tr>
                <tr>
                    <td>week</td>
                    <td>Вибір тижня</td>
                    <td><input type="week"></td>
                </tr>
                <tr>
                    <td>range</td>
                    <td>Поле для вибору чисел в зазначеному діапазоні</td>
                    <td><input oninput="console.log(this.value)" type="range" value="50" min="1" max="100" step="1"></td>
                </tr>
                <tr>
                    <td>submit</td>
                    <td>Надсилає дані на сторінці вказані в атрибуті action</td>
                    <td><input type="submit" value="Відправити"></td>
                </tr>
                <tr>
                    <td>reset</td>
                    <td>Скидає значення всіх елемантів форми до початкового стану</td>
                    <td><input type="reset" placeholder="Скинути"></td>
                </tr>
                <tr>
                    <td>checkbox</td>
                    <td>Для вибору деклількох варіантів</td>
                    <td>
                        <input class="checkbox" type="checkbox" id="1.1."> <label for="1.1.">1.1.</label>
                        <input class="checkbox" type="checkbox" id="1.2."> <label for="1.2.">1.2.</label>
                        <input class="checkbox" type="checkbox" id="1.3."> <label for="1.3.">1.3.</label>
                    </td>
                </tr>
                <tr>
                    <td>radio</td>
                    <td>Для вибору одного варіанту</td>
                    <td>
                        <input class="checkbox" type="radio" name="checked" id="2.1."><label for="2.1.">2.1.</label>
                        <input class="checkbox" type="radio" name="checked" id="2.2."><label for="2.2.">2.2.</label>
                        <input class="checkbox" type="radio" name="checked" id="2.3."><label for="2.3.">2.3.</label>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2>Інші теги форм заповнення</h2>
        <table>
            <thead>
                <tr>
                    <th>Тег</th>
                    <th>Опис</th>
                    <th>Приклад використання</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>datalist</td>
                    <td>Випадаючий список</td>
                    <td>
                        <input type="text" placeholder="Оберіть місто" list="cities">
                        <datalist id="cities">
                            <option value="Київ"></option>
                            <option value="Житомир"></option>
                            <option value="Вінниця"></option>
                            <option value="Харків"></option>
                        </datalist>
                    </td>
                </tr>
                <tr>
                    <td rowspan="2">select</td>
                    <td>Випадаючий список із можливістю вибрати один варіант</td>
                    <td>
                        <select name="countries" id="countries">
                            <option disabled selected>Оберіть країну</option>
                            <option value="">Україна</option>
                            <option value="">Польша</option>
                            <option value="">Канада</option>
                            <option value="">Великобританія</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>Cписок із можливістю вибрати декілька варіантів</td>
                    <td>
                        <select multiple name="countries" id="countries">
                            <option disabled selected>Оберіть країну</option>
                            <option value="">Україна</option>
                            <option value="">Польша</option>
                            <option value="">Канада</option>
                            <option value="">Великобританія</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>textarea</td>
                    <td>Створення багатострокового поля для вводу текста</td>
                    <td><textarea name="comment" placeholder="Коментар" cols="30" rows="2"></textarea></td>
                </tr>
            </tbody>
        </table>
    </main>
</body>

</html>